2019-08-04 16:25:16 +0200 004126f Add #include <stdlib.h> for mkstemp.
2019-08-04 16:24:06 +0200 44f4cce When system calls indicate an error they return -1, not some arbitrary
2019-08-04 16:23:48 +0200 68d0c2a Some asprintf() calls were checked < 0, rather than the precise == -1.
2019-08-04 16:23:45 +0200 fda45d5 Fix spelling
2019-08-04 16:23:37 +0200 b645a8f Partial revert of rev. 1.151:
2019-08-03 21:43:58 +0200 6ebef4e zap trailing whitespace;
2019-08-03 21:43:27 +0200 3223a01 Allow string greater/less than than operators to work with test aka [.
2019-08-03 21:43:05 +0200 157d0f1 mention that using vi command line editing mode requires enabling it;
2019-04-18 20:03:28 +0200 d5d110f Update Changelog
2019-04-18 20:02:54 +0200 1b2e2be Bind ^L (C-l) to clear-screen instead of redraw
2019-04-18 20:02:01 +0200 b9bf9e0 When evaluating an arithmetical expression, for example inside $(()),
2019-01-27 19:53:05 +0100 1c3aabb I am retiring my old email address;  replace it with my OpenBSD one.
2019-01-27 19:52:48 +0100 3f9b286 Fix three more buglets:
2019-01-27 19:52:18 +0100 64beb34 do not peek before the beginning of a string
2019-01-27 19:52:11 +0100 4210ef7 short circuit mail check if MAIL is unset. ok anton
2019-01-27 19:52:03 +0100 b493115 Delete unnecessary <libgen.h> #includes
2019-01-27 19:51:57 +0100 bb61f12 Tweak the syntax displays to show that the list of words
2019-01-27 19:51:43 +0100 594c5b8 Fix kill [-SIGNAME | -s SIGNAME] and simplify
2019-01-27 19:51:24 +0100 9ce14ba in getopts, when a option is followed by a colon the parameter is mandatory
2019-01-27 19:51:05 +0100 c860e9c Convert the pledge call to idiomatic format 'cause we love grep.
2019-01-27 19:48:47 +0100 d0758b5 Fix the case where the recursion detection isn't reset when the command is
2019-01-27 19:48:32 +0100 e1e2347 Use a very regular call pattern to pledge, so that we can continue to
2019-01-27 19:45:14 +0100 753a9e0 Include "id" in pledge (for setres[ug]id, setgroups) if the shell is
2019-01-27 19:34:42 +0100 91df8af Export the PWD and OLDPWD shell variables as per POSIX.
2019-01-27 19:34:34 +0100 62984a2 Contrary to the sh manual, it is possible to modify the PWD variable
2019-01-27 19:34:26 +0100 8512452 Second attempt of the recently backed out variable expansion fix. This time with
2019-01-27 19:34:16 +0100 2558991 Back out previous. naddy and rpe found that it breaks the installer with
2019-01-27 19:32:23 +0100 8b47ca1 Fix a bug related to variable expansion referencing multiple read-only
2019-01-27 19:32:00 +0100 edb820c Count $MAILCHECK with the monotonic clock.
2019-01-27 19:28:39 +0100 7771bdf Use shl_out->fd instead of STDOUT_FILENO in the call the setupterm().
2019-01-27 19:28:27 +0100 b60a8c3 Add clear-screen emacs editing command, currently not bound to a
2018-06-07 10:01:57 +0200 6cb76e3 point readers to the correct place instead of having them
2018-06-07 10:01:20 +0200 2a31777 remove the alias type='whence -v' and replace it with
2018-05-09 13:27:54 +0200 b88cf03 Keep the time pipeline's stack in tact
2018-04-15 11:48:30 +0200 99c185f Fix fallout from the previous int64 patch
2018-04-15 11:46:43 +0200 391f688 Count $SECONDS with CLOCK_MONOTONIC.
2018-04-15 11:45:37 +0200 4d8711b Support 64 bit integers on 32 bit architectures.
2018-04-06 12:42:32 +0200 e2a606d Fix spacing in brace command list grammar.
2018-04-06 12:42:20 +0200 cbbd2c9 improve markup quality in the cases found by the new "--" style message
2018-04-06 12:42:05 +0200 145e05b Favor usage of __func__ in warning/error messages. Some of them referred to the
2018-04-06 12:41:50 +0200 29d1262 Clarify that the "bind" built-in command only affects Emacs editing
2018-01-20 19:37:18 +0100 c485035 Remove code that has been disabled since 1999. From Michael W. Bombardieri who
2018-01-19 16:31:26 +0100 2d5d9b8 Introduce internal_warningf() and mark internal_errorf() as noreturn
2018-01-19 16:29:36 +0100 f925195 Stop constructing the ulimit optstring passed to ksh_getopt() at runtime since
2018-01-19 16:29:13 +0100 a79e8b1 One minor scan-build warning
2018-01-19 16:28:48 +0100 e443108 Don't try to open HISTFILE if the variable is unset.
2018-01-15 23:04:15 +0100 e086e76 Update Changelog
2018-01-15 23:02:49 +0100 9233084 Revert nobeep option.
2018-01-15 22:02:01 +0100 d0093ea Update Changelog
2018-01-15 22:01:24 +0100 49ffcad Use libbsd includes in vis.c (imported source from OpenBSD)
2018-01-15 21:50:34 +0100 8938233 Stop pretending we support building ksh without EDIT/HISTORY support
2018-01-15 21:49:49 +0100 2310515 unifdef BRACE_EXPAND; ok jca@
2018-01-15 21:49:36 +0100 91241aa remove unused parameter from the static function print_expansions();
2018-01-15 21:38:58 +0100 6b4d97a Some more tweaks to NOTES
2018-01-15 21:38:30 +0100 cf527db update comments that were left behind in the recent unifdef JOB commit
2018-01-15 21:38:20 +0100 55dea3b Drop two outdated entries
2018-01-15 21:38:14 +0100 f19b99f Remove unused "args" param from kb_add(), it is always NULL.
2018-01-15 21:38:04 +0100 999a528 Kill entries that are obviously outdated/out of scope
2018-01-15 21:37:51 +0100 2e0678d Add proper bounds checking to kb_add().  OK anton@
2018-01-15 21:37:46 +0100 6dfd916 Bring back the sign compare changes, this time with a fix from otto@
2018-01-15 21:36:19 +0100 77ae828 unifdef JOBS support
2018-01-15 21:35:18 +0100 7f8dba8 Typos in comments: 'it' -> 'if' and 'noityf' -> 'notify'.
2018-01-15 21:33:39 +0100 4eb5af4 Back out sign compare changes that appear to cause problems on hppa.
2018-01-15 21:30:10 +0100 ee8928a Add WARNINGS=yes to ksh and fix the resulting sign compare warnings.
2018-01-15 21:21:47 +0100 cc6d5c1 backslash also escapes newlines when quoted;
2018-01-15 21:21:36 +0100 6726cc1 Add -Wshadow to Makefile and fix the resulting warnings.  Many of
2018-01-15 21:20:24 +0100 7d07ad4 The hack for /dev/fd support on systems without it was removed a
2018-01-15 21:20:14 +0100 f00b5ba Get rid of a todo by stop declaring variable texec as static and instead zeroing
2018-01-15 21:20:06 +0100 4c36244 Add another pair of home/end key bindings; from Lari Rasku.
2017-12-16 00:15:20 +0100 1612dd4 Update Changelog
2017-12-16 00:14:47 +0100 e45f0b7 oops - previous should have been a list item;
2017-12-16 00:14:41 +0100 d91452a Document change in the default shell prompts.
2017-12-16 00:14:13 +0100 11cf156 Include hostname in shell prompts by default
2017-12-16 00:13:49 +0100 251afad Drop the unused second argument from set_prompt(). It used to be used for
2017-11-27 14:47:28 +0100 87bc93e Follow emacs mode and remove the interactive "version" function.
2017-11-27 14:47:15 +0100 9386171 Remove the "version" interactive function in emacs mode.
2017-11-27 14:46:58 +0100 d3364a6 Fix some incorrectness related to Emacs editing mode in ksh:
2017-11-22 07:27:57 +0100 bbbf707 Initialize *histbase to NULL to fix a bus error in emacs editing mode
2017-11-12 22:05:29 +0100 5d43b9d Update Changelog
2017-11-12 22:03:26 +0100 aee7f7d Switch calloc(3) back to malloc(3).  The call to calloc was introduced
2017-11-12 22:03:15 +0100 912620f Kill needless rewind(3) call in hist_init()
2017-11-12 22:03:00 +0100 743ae1f Skip (and warn about) overlong history lines.
2017-11-12 22:02:53 +0100 0dcf5f7 Delete the deprecated emacs-usemeta option.
2017-11-12 22:02:42 +0100 ff85f4d The return value of this function isn't used.
2017-10-16 21:09:08 +0200 10644a0 Update Changelog
2017-10-16 21:06:12 +0200 acedba8 Keep histptr inside of the allocated history array
2017-10-16 21:06:06 +0200 3e19ce5 Use PATH_MAX instead of a local define
2017-10-16 21:04:45 +0200 457067d whitespace commit from BC
2017-10-16 21:04:36 +0200 e8a1c25 ignoredups implementation quirk
2017-10-16 21:04:22 +0200 63dc4c4 Guard FEMACSUSEMETA uses behind #ifdef EMACS
2017-10-16 21:04:01 +0200 c0e1589 Implement HISTCONTROL ignoredups & ignorespace features
2017-10-16 21:03:48 +0200 d34c10e Stop exposing the emacs-usemeta option, and warn when trying to set it.
2017-10-16 21:03:38 +0200 cc5c01e Drop needless comment
2017-10-16 21:03:29 +0200 65301dc No need for NULL checks before afree()
2017-10-16 21:03:02 +0200 2a6c8f9 Kill a useless setlocale() query
2017-10-16 21:02:39 +0200 e5555ae Don't bother setting freed history lines to NULL.
2017-10-16 21:02:16 +0200 734488c Put history_write() in line with other functions that walk history
2017-10-16 21:02:05 +0200 bf151fd Free history entries when resizing/reloading
2017-10-16 21:01:50 +0200 90fad7a Remove unused copy_non_glob() in ksh.
2017-10-16 21:01:33 +0200 2b09c10 Don't lose the latest history line & don't crash when shrinking histsize
2017-08-25 07:42:59 +0200 28c268e \$ in PS1 gets you the default prompt character, which differs from the
2017-08-25 07:42:49 +0200 4f386f2 Remove expensive pointer check in afree()
2017-08-15 20:15:02 +0200 91fb2df Retire old behavior of requiring root prompt to contain # or \!
2017-08-15 20:14:41 +0200 9f54c0c Check whether the first two characters of $HISTFILE are the magic
2017-08-02 11:00:40 +0200 77e3562 Disable ksh VI-editing mode on the install media.  We need the space
2017-07-25 13:24:32 +0200 bd98371 Fix off-by-one error introduced in the previous commit.
2017-07-25 13:24:19 +0200 8933797 Prettify, simplify
2017-07-25 13:23:45 +0200 0ec6902 Use memmove instead of a hand-rolled loop
2017-07-23 10:39:05 +0200 9bf8b98 Use monotonic clock for the time command in csh and ksh.
2017-07-07 09:14:47 +0200 38a2734 fix broken cross references; found with mandoc -Tlint
2017-07-07 09:14:37 +0200 28ddcb7 Backout previous due to a bug discovered by zhuk@ that requires some tinkering
2017-07-07 09:13:53 +0200 2d7f4d3 Add support for pattern substitution to variables in ksh using a common syntax
2017-07-07 09:13:29 +0200 130b099 Increase the input line buffer to 4096 bytes.
2017-06-26 09:54:17 +0200 03da70f No need to NUL-terminate the line buffer since it's handled by x_e_getu8() by
2017-06-26 09:53:52 +0200 d78ee26 Don't output partial UTF-8 characters in ksh emacs mode. Instead, try to read a
2017-06-26 09:53:02 +0200 ca43cf8 '^T' is documented to be bounded to transpose-chars while in emacs
2017-06-11 11:21:18 +0200 f2e0799 Update Changelog
2017-06-11 11:19:55 +0200 4f8b4c3 Fix fallout after merging new history implementation
2017-06-11 10:52:03 +0200 b0f85d3 The fact is simple: Subshells have the same PPID as the current shell.
2017-06-11 10:51:58 +0200 1207b7f Let the 's' command delete the right number of bytes when UTF-8
2017-06-11 10:51:49 +0200 c23eaf8 Allow replacement of UTF-8 characters in vi mode.
2017-06-11 10:51:21 +0200 60d5920 Change the mmap(2)-based binary history file with lots of magic and a
2017-06-11 10:38:07 +0200 042d620 Fix cursor position while removing characters from the command line.
2017-06-11 10:37:49 +0200 0a90be1 document behaviour when CDPATH unset;
2017-06-11 10:37:31 +0200 8f1aeec Improve UTF-8 handling on lines that are wider than the terminal,
2017-06-11 10:37:18 +0200 f4e4477 a little tidy up; from raf czlonka
2017-06-11 10:37:07 +0200 39cf6f2 Quiet an "implicit conversion from 'int' to 'char' changes value"
2017-06-11 10:37:04 +0200 51279a9 document the "type" built-in, marked as xsi by posix;
2017-06-11 10:36:58 +0200 bdb9685 document the ulimit built-in, which is now marked xsi by posix;
2017-06-11 10:36:47 +0200 99d4797 document the "hash" built-in, moved to (posix) base in issue 7;
2017-03-05 08:48:31 +0100 5b2e9a7 Assigning to RANDOM calls srand_deterministic(3), not srand(3),
2016-12-13 10:19:53 +0100 5d46d5d Update Changelog
2016-12-12 12:03:20 +0100 af7767b I missed a bit of the indentation fix from Kartik Agaram.
2016-12-12 12:01:07 +0100 f5e9969 When ERREXIT (set -e) is in effect, don't disable it after a
2016-12-12 12:00:48 +0100 05a97c0 In execute() we assign xerrorok to a dummy value if it is NULL
2016-12-12 12:00:23 +0100 0b7810a Fix for() loop indentation for TCASE  in execute() and add some
2016-11-15 09:41:15 +0100 efae3e1 Remove an escaped blank space and insert an No macro to keep \&; at a
2016-11-15 09:41:06 +0100 577851f Markup improvements:
2016-11-15 09:40:59 +0100 a6300e9 Fix lexicographic order of shell built-ins: trap comes before true.
2016-10-24 11:11:06 +0200 8780c80 Update Changelog
2016-10-23 20:00:12 +0200 9351a05 simplify implementation of the '$' command, no functional change;
2016-10-23 20:00:03 +0200 f431a93 resolve code duplication in domove() for the commands: b B w W
2016-10-23 19:59:55 +0200 e2cccad No need to inspect LC_CTYPE:
2016-10-23 19:59:35 +0200 ebb1236 Make sure the cursor goes to the first byte of a UTF-8 character
2016-10-16 07:31:07 +0200 23a863a remove the "in the future" notes from the past;
2016-10-14 20:23:55 +0200 2ccc43c Correct description of the "bind" builtin command.
2016-10-14 07:12:49 +0200 57af673 Partial UTF-8 line editing support for ksh(1) vi input mode;
2016-10-08 11:43:18 +0200 c0e8f5e note that ulimit -m is not enforced, spotted by jmc
2016-10-01 10:59:48 +0200 0b87f0a remove unneccessary .Pp; from jan stary
2016-09-29 15:03:56 +0200 a7234a1 Move bug description to the BUGS section
2016-09-20 07:08:01 +0200 22cb102 Mark PPID read-only as per the manual.  From Anthony Coulter.
2016-09-20 07:07:50 +0200 4d7c075 Add KSH_IGNORE_RDONLY flag and use it in var.c instead of the 0x4
2016-09-20 07:07:43 +0200 d92ddba Allow "typeset -ir FOO" if FOO is not already marked read-only.  OK tb@
2016-09-20 07:07:33 +0200 9f2fc91 Don't try to look up array names for complete_* that aren't
2016-09-20 07:07:29 +0200 6ab1279 remove unused variable 'last'
2016-09-20 07:07:03 +0200 09a7d02 Allow simple custom completions by creating an array named
2016-09-20 07:05:38 +0200 a8696c5 XXX placeholder commit for history.c@r1.58: Use writev(2) to write history records using a single syscall.
2016-09-20 07:03:52 +0200 b099ab6 Avoid recursively calling c_fc().  Fixes a core dump from "r r" and
2016-09-20 06:58:19 +0200 eca2cb0 Avoid a compiler warning about use of uninitialized l.beg emitted
2016-08-14 21:30:07 +0200 812992e rework initial text a little, to read better;
2016-08-14 21:29:49 +0200 52512a4 In emacs incremental search mode (^R),
2016-08-14 21:29:32 +0200 4da0231 remove note about command substitution and double quotes: it is probable
2016-08-14 21:29:23 +0200 2c9f232 rework the first sentence of this page;
2016-06-04 10:42:06 +0200 4337747 put this in the public domain as well. reminded by theo. we discussed
2016-06-04 10:41:49 +0200 4cb757b Correct the description of the != operator in arithmetic expansion;
2016-06-04 10:41:26 +0200 ae96898 line editing correction; from andras farkas
2016-04-28 11:43:32 +0200 2b8f805 Do not handle echo "`echo \"hi\"`" in POSIX mode differently than in
2016-03-22 15:06:02 +0100 46ddf97 More ksh POSIX compliance fixes by Martijn Dekker:
2016-03-22 15:05:52 +0100 04d9cc4 Currently we have about a 50/50 split over fcntl(n, F_GETFL [,0])
2016-03-18 12:23:55 +0100 5d77253 remove some ARGSUSED
2016-03-07 13:46:59 +0100 40b0ed2 tweak previous a little;
2016-03-07 13:46:34 +0100 1cda336 Make set +o conform with POSIX.
2016-03-07 13:46:25 +0100 a1b9369 POSIX-compliant behavior of "set -u" regarding "$*" and "$@" specials
2016-03-07 13:46:14 +0100 d5b8709 Fix a typo.  The command is to get the default system PATH value
2016-03-07 13:45:48 +0100 a8b6701 remove CSRG BSD-licensed mknod builtin code which was previously used to
2016-03-07 13:39:06 +0100 23be97b don't parse (...|...) patterns in variable substitution inside double quotes
2016-01-30 22:44:51 +0100 ccba955 Therefor -> Therefore (where appropriate)
2016-01-30 22:44:43 +0100 c2eaa32 remove a useless macro
2016-01-16 10:16:45 +0100 d332194 Initialize a struct kill_info and an associated int in the declarations
2016-01-12 19:15:27 +0100 7bc5ce4 Next step in UTF-8 support:
2015-12-30 19:14:22 +0100 48fd75a add another combo for home/end keys that works in tmux.
2015-12-30 19:14:10 +0100 91c5eef rename global "e" to genv to avoid accidental shadowing and aliasing.
2015-12-30 09:40:23 +0100 f642380 Remove reference to $ERRNO, which was been unimplemented for >= 19
2015-12-27 23:11:59 +0100 e167d9b Tweak comment: we now always make a copy of argv.
2015-12-27 23:11:41 +0100 673b453 unconditionally duplicate the argv array on initialization, to make it
2015-12-26 21:39:54 +0100 08abba6 remove special characters; diff from michael reed
2015-12-26 21:39:44 +0100 313d2d0 Assign pointer variables to NULL rather than 0. No functional change.
2015-12-21 09:09:24 +0100 c744204 Replace an ugly bit of pointer arithmetic with a conditional expression.
2015-12-14 19:04:18 +0100 eff42fe Fix sh.h after previous large(ish) commit.
2015-12-14 19:01:55 +0100 f985e46 Move system headers from sh.h to those files that actually need them.
2015-12-14 13:53:53 +0100 80275f2 Remove a superfluous macro. No binary change. ok tb@
2015-12-10 12:58:56 +0100 da46fbe In emacs command-line editing mode, make sure that moving left and
2015-12-07 09:02:14 +0100 9710e86 Remove a 250-line catalog of AT&T ksh bugs.   ok tedu
2015-12-07 09:02:05 +0100 8d0f3a3 Remove some more pdksh-specific stuff and references to files that no
2015-12-05 13:19:27 +0100 50a5188 Remove descriptions of files that no longer exist.
2015-12-05 13:19:18 +0100 a1fa636 Remove needless reference to LEGAL, which is likely outdated itself.
2015-12-05 13:19:04 +0100 bac54ad Remove some bug report guidelines from pdksh that aren't relevant to us.
2015-12-02 22:59:10 +0100 ab14a86 comment typo
2015-11-28 20:30:25 +0100 26badfb Revert previous tweak, pending a more complete rewording. Discussed with
2015-11-22 16:08:02 +0100 943ab22 This man page uses "Note that" profusely, which is generally considered
2015-11-22 16:07:44 +0100 ff1b62d Don't use pdksh for self-reference and remove needless historical
2015-11-22 16:07:25 +0100 fdce068 Remove commented-out BUGS section that directs reports to long-extinct
2015-11-22 16:07:15 +0100 4fe2245 "one" -> "one or more"
2015-11-21 09:18:49 +0100 92052b1 remove unused prototype
2015-11-21 09:18:30 +0100 7773286 Only unget match[] if it has been used, ok sthen
2015-11-13 07:43:24 +0100 d7c3f8d use symbolics for flags to open
2015-11-12 13:19:13 +0100 d0d513d apply_patchset.sh: format
2015-11-12 13:18:07 +0100 b36437f Use isdigit() instead of ksh's homebrewed alternative.
2015-11-12 13:16:49 +0100 6d2b4d3 exit() after perror() for pledge failure.  Perhaps this got introduced
2015-11-12 13:16:36 +0100 8c381a9 add missing NAME entries; ok schwarze
2015-11-08 22:54:30 +0100 ef41873 Tweak a reallocarray call to be more overflow-resistant. From Theo Buehler.
2015-11-08 22:53:50 +0100 2440d12 Make it clearer that warningf()'s first argument determines whether the
2015-11-05 21:25:53 +0100 3411287 Capitalize entire macro name.
2015-11-05 21:18:41 +0100 c8df2e3 Clean up an Xstring macro. Submitted by Theo Buehler.
2015-11-05 21:18:30 +0100 5dc4f39 Remove an alias for a macro.
2015-11-02 20:35:52 +0100 7de4e98 Another aresize() -> areallocarray().
2015-11-02 11:06:48 +0100 1e527e5 Replace changelog with one that contains dates.
2015-11-02 11:06:27 +0100 53f0eae Import a simple changelog generator.
2015-11-02 10:57:05 +0100 79d2e6e Update Changelog.ksh-openbsd
2015-11-02 10:24:28 +0100 7db2671 aresize() -> areallocarray()
2015-11-02 10:24:19 +0100 2a1329e Remove two casts of void* return types.
2015-11-02 10:23:47 +0100 ef1b5cb Drop a needless cast of a void *.
2015-11-02 10:23:29 +0100 7e1b938 Add uses of areallocarray(). mksh and Bitrig ksh already have similar
2015-10-31 08:29:14 +0100 b93e85e zap trailing whitespace;
2015-10-31 08:29:00 +0100 c61e681 Try to clarify the fc section a tad; fc apprently stands for "fix command".
2015-10-30 12:48:26 +0100 c63c504 'fc -e -' is deprecated in favor of 'fc -s', so update the built-in alias
2015-10-24 17:36:44 +0200 b7ebaa9 Remove three strange and unused preproc defines. Submitted by Ilya
2015-10-23 09:00:40 +0200 9ee6425 Sometimes there's no ^Index: line to designate the diff's start.
2015-10-23 09:00:18 +0200 effbf86 Remove two comments listing functionless files. Trivial, no functional
2015-10-23 08:55:53 +0200 af51b37 proto.h contains many function prototypes. It's apparently separate from
2015-10-23 08:55:12 +0200 5cab7ff Final removal of EXTERN.
2015-10-22 16:06:37 +0200 3f8336c Enable large file support during compile
2015-10-22 13:09:52 +0200 e05bf85 Remove a couple of unhelpful defines.
2015-10-22 13:09:42 +0200 20762d3 Don't bother casting NULL.
2015-10-22 13:09:33 +0200 814ac65 Assign pointer to NULL rather than 0.
2015-10-22 13:08:55 +0200 5ad4b99 Penultimate commit to remove EXTERN.
2015-10-20 00:26:39 +0200 778a768 Add some helper scripts for my sake.
2015-10-20 00:22:17 +0200 2e695d6 Remove the define NOT, replace it with '!'. No binary change.
2015-10-20 00:22:13 +0200 26e2592 A little style(9) for sh.h includes
2015-10-20 00:21:39 +0200 e34e82b Move stddef.h include from sh.h to the file that uses it.
2015-10-20 00:21:13 +0200 4e20099 Move string.h include from sh.h to the files that use it.
2015-10-20 00:18:55 +0200 da007db Move limits.h include from sh.h to the files that actually need it. No
2015-10-20 00:18:12 +0200 029758b More removal of EXTERN.
2015-10-20 00:17:02 +0200 76aa6b6 Apply style(9) to header includes.
2015-10-20 00:02:16 +0200 8725b91 Move more EXTERN-defined globals from sh.h.
2015-10-20 00:02:08 +0200 2898331 add missing underscore; from theo buehler
2015-10-20 00:01:17 +0200 5e2cca7 Drop two useless defines.
2015-10-20 00:01:13 +0200 d948132 Move a system header include from the global header (sh.h) into the
2015-10-20 00:01:04 +0200 6a668c9 Change allocarray() to areallocarray(), a full reallocarray clone. All
2015-10-20 00:00:55 +0200 c090cc6 Copy alloc()'s overflow check to aresize().
2015-10-20 00:00:31 +0200 c753821 Change x_do_ins()'s arg type from int to size_t for correctness's sake,
2015-10-20 00:00:17 +0200 be78d4b Move the overflow check to alloc() so that the link struct overhead can
2015-10-19 23:59:28 +0200 5a621f7 Cast iscntrl()'s arg to unsigned char.
2015-10-19 23:59:25 +0200 93c188b wrap a long line
2015-10-19 23:59:21 +0200 2761d32 Implement real "flock" request and add it to userland programs that
2015-10-19 23:59:15 +0200 57f9637 Add allocarray(), an overflow-safe allocation function.
2015-10-19 23:59:11 +0200 c058a0f Remove three distracting aliases for NULL.
2015-10-19 23:59:02 +0200 b4e83a0 Remove an unused included header (sys/stat.h).
2015-10-19 23:58:49 +0200 48b95be Introduce an unsigned char variable for the ctype function calls.
2015-10-19 23:58:27 +0200 5044fa4 indent the builtin text a little, for naddy;
2015-10-19 23:58:20 +0200 3ae05cb Add a define for the invalid state, from mksh via Michael McConville.
2015-10-19 23:58:12 +0200 7d7a0f6 normalize a few more tame request orderings, to help review
2015-10-19 23:58:07 +0200 b6d4fcc Replace calls to x_emacs_putbuf() with x_do_ins() since all
2015-10-19 23:57:45 +0200 0284f80 Unused macros; from Michael McConville.
2015-10-19 23:57:39 +0200 a1121da Move more declarations out of proto.h into better headers, from Michael
2015-10-19 23:57:00 +0200 ebd2da1 ksh can run with pledge "stdio rpath wpath cpath getpw fattr proc exec tty"
2015-10-19 23:54:27 +0200 09088e5 Lexer states are not needed outside of lex.c.
2015-10-19 23:54:19 +0200 9174e63 remove null check before afree. from Michael McConville
2015-10-19 23:53:18 +0200 60e0203 pare down the readme so as to not imply we are tracking upstream.
2015-10-19 23:53:07 +0200 1253379 stop trying to gift history files to the original owner. instead, don't
2015-10-19 23:51:13 +0200 e8794ff little cleanup from Michael McConville, mostly related to stale comments.
2015-10-19 23:50:18 +0200 ba9a741 Remove an old and broken test snippet, from Michael McConville. ok millert
2015-10-19 23:50:09 +0200 1d9e264 Drop the silly and distracting ACCEPT and REJECT macros, from Michael
2015-10-19 23:50:01 +0200 5c6f2e1 Move tree.c protos into tree.h, from Michael McConville, ok millert
2015-10-19 23:49:58 +0200 3675068 Remove EXTERN from lex.h and put the definitions in lex.c, from Michael
2015-10-19 23:49:50 +0200 59343ec Remove EXTERN from table.h and put the definitions in table.c, from
2015-10-19 23:49:28 +0200 f37b725 fix error message for csh-history. the lexer needs to back up more.
2015-10-19 23:49:06 +0200 8bbcc0d lint is dead: delete the trivial uses of /* VARARGS[0-9]+ */
2015-10-19 23:49:00 +0200 efa92b5 Remove EXTERN from edit.[ch], from Michael McConville.
2015-10-19 23:48:57 +0200 9aac0f4 Remove EXTERN from tty.[ch], from Michael McConville. No binary change.
2015-10-19 23:48:52 +0200 35b75b4 Make errorf() and bi_errorf() handle a NULL argument.
2015-10-19 23:48:44 +0200 da2c894 Last of the (thing *)0 -> NULL, from Michael McConville. No binary
2015-10-19 23:48:17 +0200 1f472e7 More (foo *)0 -> NULL, from Michael McConville. No binary change.
2015-10-19 23:48:08 +0200 1f7e361 Remove unnecessary casts, from Michael McConville. No binary change.
2015-10-19 23:47:52 +0200 02d2dc5 Expand the one use of POP_INT() macro into if()s and fix some errors
2015-10-19 23:47:27 +0200 d8480ea correct spelling of NULL from (char *)0. from Michael McConville.
2015-10-19 23:46:53 +0200 cdd5d73 stop abusing null (the variable) for an empty string in output formats.
2015-10-19 23:46:38 +0200 b9f65b9 Avoid .Ns right after .Pf, it's pointless.
2015-10-19 23:45:30 +0200 6b7c86e SIZEOF_INT is no longer needed.
2015-10-19 23:45:11 +0200 f22f1b9 Replace Tflag typedef with just int; ok tedu
2015-10-19 23:40:16 +0200 2291658 these files are a combination of old, lies, and old lies. zap.
2015-10-19 23:38:14 +0200 a757d43 Apply the ancient art of tedu to ksh_limval.h. ok guenther
2015-10-19 23:36:57 +0200 4803ef8 directions for using autoconf cannot be relevant.
2015-10-19 23:36:02 +0200 ec31662 move tty_close up a bit so we can use it.
2015-10-19 23:34:53 +0200 076c6c6 zap unused FP support. from Michael McConville. ok nicm
2015-10-19 23:33:44 +0200 5d5fb0a Remove redundant assignment
2015-10-19 23:33:04 +0200 204d1fe Replace newline and space defines by "\n" and " " directly, from Michael
2015-10-19 23:32:23 +0200 36253bc Remove INT32 define and just use int, from Martijn van Duren and Michael
2015-10-19 23:32:17 +0200 b063a0c Kill another superfluous variable initialization; from Michael McConville.
2015-10-19 23:32:07 +0200 0577b24 Remove superfluous variable initialization; from Michael McConville.
2015-09-07 10:22:28 +0200 045ad3e path.c: sync w/ r1.13
2015-09-02 22:33:09 +0200 a341c29 main.c: sync w/ r1.56
2015-09-01 16:33:21 +0200 9646925 "remove casts and null checks before free."
2015-09-01 10:14:24 +0200 dd599b0 var.c: sync w/ r1.42
2015-08-11 08:53:57 +0200 764b7e5 ksh.1: sync w/ 1.160
2015-08-11 08:51:52 +0200 4c65d07 lex.c: sync w/ r1.50
2015-08-11 08:50:16 +0200 6fc3ef9 c_sh.c: sync w/ r1.46
2015-05-25 17:51:37 +0200 95835bf sh.1: sync w/ r1.127:1.128
2015-04-19 09:42:53 +0200 96039b3 sync: exec.c r1.51, jobs.c r1.41
2015-04-18 15:16:53 +0200 a22509c var.c sync r1.41
2015-04-04 14:23:37 +0200 a75d8e8 sh.1: sync w/ r1.122:1.126
2015-03-26 14:10:38 +0100 372e468 sh.1: sync w/ r1.119:1.121
2015-03-26 11:06:20 +0100 c4c7297 Update Changelog.ksh-openbsd
2015-03-26 10:54:32 +0100 fefea11 sync emacs.c r1.50 and ksh.1 r1.159
2015-03-26 10:42:47 +0100 bb86c73 Update Changelog.ksh-openbsd
2015-03-26 10:41:22 +0100 74f3b55 Install sh.1, and udpate man pages to use pd{sh,ksh} names.
2015-03-21 14:54:09 +0100 e8b8449 sh.1: sync w/ r1.118
2015-03-21 14:52:45 +0100 a87a051 ksh.1: sync w/ r1.158
2015-03-21 14:51:47 +0100 6a45bbe misc.c: sync w/ r1.40
2015-03-21 14:50:47 +0100 054e1dc edit.c: sync w/ r1.40
2015-03-10 10:31:57 +0100 edd8d26 emacs.c: sync r1.49
2015-02-09 13:14:29 +0100 b4ce3a1 main.c: sync r1.55
2015-01-18 10:32:11 +0100 b0e4705 sync with upstream: sh.1 to r1.100 and ksh.1 to r1.156
2015-01-18 10:27:51 +0100 6ce8160 misc.c: sync with upstream r1.39
2014-12-20 12:06:00 +0100 e35133a Update Changelog.
2014-12-20 12:00:10 +0100 cc2e525 Sync. r1.98 + r1.99 sh1, r1.154 + r1.155 ksh.1
2014-12-20 11:55:12 +0100 6c05aba Sync. r1.40 var.c
2014-12-20 11:48:19 +0100 a73a1b3 Sync. history.c r1.40
2014-12-20 11:47:37 +0100 dc95fa6 Sync. expr.c r1.24
2014-08-27 19:52:06 +0200 cb6f332 c_sh.c: sync with upstream r1.45
2014-08-27 11:17:51 +0200 2702943 Update Changelog.
2014-08-27 11:15:55 +0200 579dfa3 Consolidate the Change[lL]og files and trim other docs.
2014-08-18 13:52:58 +0200 fb19ebc sync w/ upstream ksh.1 r1.152 and sh.1 r1.97
2014-08-13 17:03:24 +0200 05d9aff io.c: sync with upstream r1.25
2014-08-10 11:39:01 +0200 4c89c75 tty.c: sync from upstream r1.10
2014-08-10 11:36:27 +0200 db7e0aa io.c: sync from upstream r1.24
2014-07-29 15:51:58 +0200 bc5c77f Allow specifying $TMP for the tests.
2014-03-16 11:11:04 +0100 543dd96 Some man page semantics from upstream.
2014-01-28 21:59:29 +0100 a6c5b83 Sync with upstream (ksh.1, sh.1)
2014-01-25 09:23:19 +0100 08b999b Sync with upstream. Man page fixes.
2014-01-01 16:31:09 +0100 afc286f Plug a file desc. leak in history_open(). This is ...
2013-12-21 00:14:58 +0100 22a88a6 Sync with upstream (var.c, 1.38):
2013-12-18 17:58:42 +0100 35ccfeb Fix a misplaced cast in the recent ctype changes in vi.c
2013-12-18 17:53:04 +0100 8b70806 Remove limit on the max array index. From upstream.
2013-12-17 20:11:14 +0100 c1ac370 Add tags to .gitignore
2013-12-17 19:49:44 +0100 8541c88 _PW_NAME_LEN should be 32, not 31. The closing NUL is accounted for in username[].
2013-12-17 19:46:47 +0100 1dad541 Further reduce the diff against upstream, import the whitespace changes by sobrado@.
2013-12-17 19:30:59 +0100 1b03548 Don't include a copy of strl{cat,cpy}, but use the one in libbsd (we're already depending on it anyway).
2013-12-17 19:27:49 +0100 0f76f2f Remove trailing '+' from the tag at the top of the file. (copy-pasto...)
2013-12-17 19:22:05 +0100 c46299a Sync with latest OpenBSD sources:
2013-11-29 16:05:28 +0100 0ae8bcf Use parenthesis instead of curly brackets in Makefile.
2013-11-29 16:02:37 +0100 3223171 Tidy up Makefile.
2013-11-29 15:56:19 +0100 2c2b622 Don't commit to gcc in the Makefile, use the CC env. var.
2013-11-29 15:21:32 +0100 e1124ed Add the ksh binary.
2013-11-29 15:12:29 +0100 02a6036 Remove the last flaky heredoc.t test 'heredoc-tmpfile-8'.
2013-11-27 22:16:41 +0100 540babc Make `make check` work.
2013-11-27 22:13:25 +0100 b1aa6d6 Fix sigtraps[] population with signals.
2013-11-27 22:10:45 +0100 b228736 Dangling whitespace.
2013-11-27 21:44:03 +0100 d74f95b The Linux specific stuff.
2013-11-27 21:42:18 +0100 f5891f6 Add nobeep sh opt.
2013-11-27 21:41:03 +0100 b610de7 New ksh history implementation.
2013-11-27 21:40:31 +0100 4d4a6f7 Remove $ from the list of characters blocking * addition.
2013-11-27 21:40:14 +0100 79e234f ksh/vi: compensate for cursor move on command mode
2013-11-27 21:39:17 +0100 f1a39c2 ksh: print expansions like a "menu" (with numbers) in vi mode
2013-11-27 21:38:51 +0100 e654ca2 ksh/vi: make Ctrl-f in command mode behave the same as in insert.
2013-11-27 21:38:30 +0100 52a3706 ksh/vi: Ctrl-l in insert mode to clear the screen.
2013-11-27 21:38:04 +0100 cc67a91 Remove disabled FP support.
2013-11-27 21:37:19 +0100 f2b126b ksh/vi mode: complete as command on Ctrl-f.
2013-11-27 21:33:23 +0100 08b5c99 Add .gitignore
2013-11-27 21:30:31 +0100 bebc5b3 Import OpenBSD ksh from -current, as of 2013.11.27.
